shader_type spatial;
render_mode unshaded;
render_mode blend_add;

uniform vec4 color: hint_color;
uniform float scale;

void fragment()
{
	float screen_y = mod(SCREEN_UV.y + TIME/30.0, 1.0);
	if (mod(screen_y, 1.0/100.0) <= 0.005){
		discard;
	}
	ALBEDO=color.xyz;
	if (cos(UV.x*scale/6.)>=0.9||cos(UV.y*scale/9.)>=0.9){
	ALBEDO=vec3(1,1,1);
	}
}